Bug 108910 - Vkd3d test failure test_multisample_array_texture()
Summary: Vkd3d test failure test_multisample_array_texture()
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-30 04:10 UTC by Timothy Arceri
Modified: 2018-12-28 00:29 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Arceri 2018-11-30 04:10:24 UTC
Tested on SKL.

The d3d12 test suite can be run using the command:

tests/d3d12 or by running make check

Result:

d3d12:12038: Test failed: Got 0xff0000ff, expected 0xff00ff00 at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0xffff0000 at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0xffffff00 at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0xffff00ff at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0xff00ffff at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0xff7f7f7f at (0, 0, 0).
d3d12:12038: Test failed: Got 0xff0000ff, expected 0x7f7f7f7f at (0, 0, 0).

For comparision the test passes on RADV.

Instructions for building the Vkd3d test suite:
-----------------------------------------------

Source code: git://source.winehq.org/git/vkd3d.git

autogen.sh
configure
make

Updated Spriv headers may be needed:

https://github.com/KhronosGroup/Vulkan-Headers.git
https://github.com/KhronosGroup/SPIRV-Headers.git

CPPFLAGS="-I/home/tarceri/git/SPIRV-Headers/include -I/home/tarceri/git/Vulkan-Headers/include" ./configure

Also an undated version of widl (a tool in the wine project) may be needed:

git://source.winehq.org/git/wine.git

./configure --without-freetype
make tools/widl

Then pass the new build to configure for Vkd3d e.g.

WIDL=~/git/wine/tools/widl/widl ./configure
Comment 1 Józef Kucia 2018-11-30 09:48:19 UTC
This is likely the same issue as in bug 108911. It's related to mutlisample array textures clears.
Comment 2 Lionel Landwerlin 2018-12-06 14:50:48 UTC
We have this workaround for this bug : https://patchwork.freedesktop.org/series/53419/
But it might be that there is a underlying bug.
We need to investigate a bit more.

Also crucible test : https://patchwork.freedesktop.org/series/53497/
Comment 3 Juan A. Suarez 2018-12-27 16:42:49 UTC
A fix landed as ("e2ae5f2f0a anv: don't do partial resolve on layer > 0").

Can we close this as FIXED?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.